#ifndef CLASS_ALLOC_COUNTER_HPP
#define CLASS_ALLOC_COUNTER_HPP
//------------------------------------------------------------------------------
#include "config.hpp"
//------------------------------------------------------------------------------
namespace En
{
//------------------------------------------------------------------------------
class ClassAllocCounter
{
public:
    /** Default constructor */
    ClassAllocCounter();
    /** Copy constructor */
    ClassAllocCounter(const ClassAllocCounter &object);
    /** Default destructor */
    virtual ~ClassAllocCounter();
    #if DEBUG == 1
    /** Get the allocation count */
    static int GetAllocCount();
    #endif


private:
    #if DEBUG == 1
    static int m_count;
    #endif
};
//------------------------------------------------------------------------------
} // namespace En
//------------------------------------------------------------------------------
#endif // CLASS_ALLOC_COUNTER_HPP
