require("guiLib/buttonControl")

menuOptionNs = menuOptionNs or {}

-- Create screen
menuOptionNs.screen = CreateScreen("optionScreen", ScreenConfig(screenSize))

-- Quit
menuOptionNs.screen:RegisterButtonEvent(function() myChangeScreen(mainMenuScreen, true, "slide2"); end, "Escape", true)

-- Back
local tmp = menuOptionNs.screen:CreateSprite("back", mainMenuBackTex, Vector2D(0, 0))
tmp:SetZpos(-1000)

-- Bts
function menuOptionNs.myBtCreate(title, pos, btSize, fn)
	local bt = menuOptionNs.screen:CreateGroup("levelBt")
	buttonControlCreate(bt, title, btSize)
	buttonSetEventFunction(bt, fn)
	buttonSetFont(bt, 34, Color(255, 255, 255), fontFixedsys)
	buttonSetImagePack(bt, texMenuBtNormal, texMenuBtOver, texMenuBtPressed)
	bt:SetPosition(pos)
	
	return bt
end

btMargin = 50
btSize = texMenuBtNormal:GetSize()
beginYPos = (screenSize.y - (btSize.y + btMargin) * 4) / 2

btSize = texMenuBtNormal:GetSize()
menuOptionNs.myBtCreate(_("Control"), Vector2D(screenSize.x / 2 - btSize.x / 2, beginYPos), btSize,function() myChangeScreen(keyMenuNs.screen, true, "slide1") end)
menuOptionNs.myBtCreate(_("Graphic"), Vector2D(screenSize.x / 2 - btSize.x / 2, beginYPos + (btSize.y + btMargin)), btSize, function() myChangeScreen(menuGraphicOptionScreen, true, "slide1") end)
menuOptionNs.myBtCreate(_("Sound"), Vector2D(screenSize.x / 2 - btSize.x / 2, beginYPos + (btSize.y + btMargin) * 2), btSize, function() myChangeScreen(soundMenuNs.screen, true, "slide1") end)

menuOptionNs.myBtCreate(_("Return"), Vector2D(screenSize.x / 2 - btSize.x / 2, beginYPos + (btSize.y + btMargin) * 3 + btMargin), btSize, function() myChangeScreen(mainMenuScreen, true, "slide2") end)
